{
  "header": "SDL_clipboard.h",
  "opaque_types": [],
  "typedefs": [],
  "function_pointers": [],
  "c_type_aliases": [
    {
      "name": "SDL_ClipboardDataCallback"
    },
    {
      "name": "SDL_ClipboardCleanupCallback"
    }
  ],
  "enums": [],
  "structs": [],
  "unions": [],
  "flags": [],
  "functions": [
    {
      "name": "SDL_SetClipboardText",
      "return_type": "bool",
      "parameters": [
        {
          "name": "text",
          "type": "const char *"
        }
      ]
    },
    {
      "name": "SDL_GetClipboardText",
      "return_type": "char *",
      "parameters": []
    },
    {
      "name": "SDL_HasClipboardText",
      "return_type": "bool",
      "parameters": []
    },
    {
      "name": "SDL_SetPrimarySelectionText",
      "return_type": "bool",
      "parameters": [
        {
          "name": "text",
          "type": "const char *"
        }
      ]
    },
    {
      "name": "SDL_GetPrimarySelectionText",
      "return_type": "char *",
      "parameters": []
    },
    {
      "name": "SDL_HasPrimarySelectionText",
      "return_type": "bool",
      "parameters": []
    },
    {
      "name": "SDL_SetClipboardData",
      "return_type": "bool",
      "parameters": [
        {
          "name": "callback",
          "type": "SDL_ClipboardDataCallback"
        },
        {
          "name": "cleanup",
          "type": "SDL_ClipboardCleanupCallback"
        },
        {
          "name": "userdata",
          "type": "void *"
        },
        {
          "name": "mime_types",
          "type": "const char **"
        },
        {
          "name": "num_mime_types",
          "type": "size_t"
        }
      ]
    },
    {
      "name": "SDL_ClearClipboardData",
      "return_type": "bool",
      "parameters": []
    },
    {
      "name": "SDL_GetClipboardData",
      "return_type": "void *",
      "parameters": [
        {
          "name": "mime_type",
          "type": "const char *"
        },
        {
          "name": "size",
          "type": "size_t *"
        }
      ]
    },
    {
      "name": "SDL_HasClipboardData",
      "return_type": "bool",
      "parameters": [
        {
          "name": "mime_type",
          "type": "const char *"
        }
      ]
    },
    {
      "name": "SDL_GetClipboardMimeTypes",
      "return_type": "char **",
      "parameters": [
        {
          "name": "num_mime_types",
          "type": "size_t *"
        }
      ]
    }
  ]
}